aboutsummaryrefslogtreecommitdiffstats
path: root/main/gcalcli/APKBUILD
diff options
context:
space:
mode:
authorPeter Bui <pnutzh4x0r@gmail.com>2015-07-20 11:03:28 -0500
committerNatanael Copa <ncopa@alpinelinux.org>2015-07-21 06:10:50 +0000
commit77e7d1773064c208f8a445b33237fcc9bd3316fe (patch)
tree52d1fb62d40def526e7d9ee48981d0b7337c720c /main/gcalcli/APKBUILD
parentbfc1bf4bd0f0910021bc395ac430b0b05e057152 (diff)
downloadaports-77e7d1773064c208f8a445b33237fcc9bd3316fe.tar.gz
aports-77e7d1773064c208f8a445b33237fcc9bd3316fe.tar.bz2
aports-77e7d1773064c208f8a445b33237fcc9bd3316fe.tar.xz
main/gcalcli: move from testing
Diffstat (limited to 'main/gcalcli/APKBUILD')
-rw-r--r--main/gcalcli/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/main/gcalcli/APKBUILD b/main/gcalcli/APKBUILD
new file mode 100644
index 0000000000..7118a9ea59
--- /dev/null
+++ b/main/gcalcli/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Peter Bui <pnutzh4x0r@gmail.com>
+pkgname=gcalcli
+_pkgname=gcalcli
+pkgver=3.2
+pkgrel=0
+pkgdesc="Google Calendar Command Line Interface"
+url="https://github.com/insanum/gcalcli"
+arch="noarch"
+license="MIT"
+depends="python py-google-api-python-client py-dateutil py-gflags py-vobject"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="5deba37645e07bc59c51d76b92da0697 gcalcli-3.2.tar.gz"
+sha256sums="1a4dda5f0871846c45a5864114724a423e33d5942f933d83c57467589246ac01 gcalcli-3.2.tar.gz"
+sha512sums="4c3c3b78d8622a6c4481139410d8520b8a8d448d69f7d1c6337ec2739883a1015018aef3ebc70632544d0089bfbe8d57df2a004733fa47ae008ad547738e4b4c gcalcli-3.2.tar.gz"